<?php 
	session_start();
	require_once 'include/class.php';
	require_once 'config.php';
	$class = new Panel6Bot();
	if (isset($_SESSION['function']) and $_SESSION['function'] != '*') header('Location: index.php'); 
	$db = $class->getDB($config['mysql'], true);
	$settings = $db->query("SELECT * FROM `settings` LIMIT 1")->fetch(PDO::FETCH_ASSOC);
	$rules='';
	if (isset($_POST['nickname'])) {
		if (!empty($settings['host']) and !empty($settings['query_group_id']) and !empty($settings['port_connect']) and !empty($settings['folder']) and !empty($settings['def_version'])) {		
			if (!empty($settings['query_group_id'])) $qroupid = $settings['query_group_id'].',';
			$admingroup = $qroupid.htmlspecialchars($_POST['admingroup']);
			$usergroup = htmlspecialchars($_POST['usergroup']);
			if (strlen($_POST['adminuid']) > 5) foreach(explode(',', $_POST['adminuid']) as $uid) {$adminuid .= '"'.$uid.'",';}
			if (strlen($_POST['useruid']) > 5) foreach(explode(',', $_POST['useruid']) as $uid) {$useruid .= '"'.$uid.'",';}
			foreach(explode(',', $settings['rules']) as $rule) {$rules .= '"'.$rule.'",';}
			if (empty($adminuid)) $adminuid = '""';
			if (empty($useruid)) $useruid = '""';
			$nickname = htmlspecialchars($_POST['nickname']);
			if (is_writable($settings['folder'].'/permissions')) {
				if (is_writable($settings['folder'].'/config')) {
					if ($db->prepare("INSERT INTO `bots` (`nickname`) VALUES ('$nickname')")->execute()==true) {
						$bot = $db->query("SELECT * FROM `bots` ORDER BY `id` DESC LIMIT 1")->fetch(PDO::FETCH_ASSOC);
						if (strlen($bot['id']) == 1) $bot['id'] = '0'.$bot['id'];
						fputs(fopen($settings['folder'].'/config/'.$bot['id'].'.cfg', 'w'), 
'WebData::HostAddress=
WebData::Port=8180
WebData::EnableApi=False
WebData::EnableWebinterface=False
WebData::WebinterfaceHostPath=
RightsManager::RightsFile='.$settings['folder'].'/permissions/'.$bot['id'].'.toml
MainBot::Language=en
MainBot::BotGroupId=
MainBot::GenerateStatusAvatar=False
MainBot::CommandMatching=ic3
YoutubeFactory::ApiKey=AIzaSyBfUCH6H5wnNnhY3z1b6on_ci5Tfr69HIU
YoutubeFactory::YoutubedlPath=
PluginManager::PluginPath=Plugins
PluginManager::WriteStatusFiles=False
MediaFactory::DefaultPath=
HistoryManager::EnableHistory=True
HistoryManager::HistoryFile='.$settings['folder'].'/history.db
HistoryManager::FillDeletedIds=True
AudioFramework::DefaultVolume=1
AudioFramework::MaxUserVolume=100
AudioFramework::AudioMode=voice
QueryConnection::Address='.$settings['host'].':'.$settings['port_connect'].'
QueryConnection::Identity=
QueryConnection::IdentityOffset=266
QueryConnection::IdentityLevel=auto
QueryConnection::ServerPassword=
QueryConnection::ServerPasswordIsHashed=False
QueryConnection::ServerPasswordAutoHash=False
QueryConnection::FfmpegPath=ffmpeg
QueryConnection::AudioBitrate=48
QueryConnection::ClientVersion='.$settings['def_version'].'
QueryConnection::DefaultNickname='.$nickname.'
QueryConnection::DefaultChannel=/
QueryConnection::DefaultChannelPassword=
QueryConnection::ClientBadges=overwolf=0:badges=
PlaylistManager::PlaylistPath='.$settings['folder'].'/Playlists');
	
					fputs(fopen($settings['folder'].'/permissions/'.$bot['id'].'.toml', 'w'), 
'[[rule]]
groupid = ['.$admingroup.']
useruid = ['.$adminuid.']
"+" = "*"
[[rule]]
groupid = ['.$usergroup.']
useruid = ['.$useruid.']
"+" = ['.$rules.']
"-" = ["cmd.list.save"]');
						shell_exec("sudo screen -AdmS AudioBot".$bot['id']." mono ".$settings['folder']."/TS3AudioBot.exe -c ".$settings['folder']."/config/".$bot['id'].".cfg");
						header('Refresh: 0');
						$_SESSION['success'] = 'Dodano pomyślnie bota!';
					} else $_SESSION['error'] = 'Coś poszło nie tak!';
				} else $_SESSION['error'] = 'Nie ma dostępu do katalogu config';
			} else $_SESSION['error'] = 'Nie ma dostępu do katalogu permissions';
		} else $_SESSION['error'] = 'Uzupełnij ustawienia!';
	}
	require_once('include/header.php');
	require_once('include/nav.php');
?>
<div class="right_col" role="main">
   <div class="">
      <div class="page-title">
         <div class="title_left">
            <h3>Dodawanie bota</h3>
         </div>
      </div>
      <div class="clearfix"></div>
      <div class="row">
         <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
               <div class="x_content">
                  <div class="col-md-8">
                     <form method="post">
                        <div class="col-md-9">
                           <div class="form-group">
                              Nazwa bota:
                              <input type="text" class="form-control" name="nickname" required="" placeholder="Nazwa Bota">
                           </div>
                        </div>
                        <div class="col-md-6">
                           <h4>Dostęp do wszystkich komend:</h4>
                           <div class="form-group">
                              <input type="text" class="form-control" name="admingroup" placeholder="ID grup">
                           </div>
                           <div class="form-group">
                              <input type="text" class="form-control" name="adminuid" placeholder="UID użytkowników">
                           </div>
                        </div>
                        <div class="col-md-6">
                           <h4>Ograniczony dostęp do komend:</h4>
                           <div class="form-group">
                              <input type="text" class="form-control" name="usergroup" placeholder="ID grup">
                           </div>
                           <div class="form-group">
                              <input type="text" class="form-control" name="useruid" placeholder="UID użytkowników">
                           </div>
                        </div>
                        <div class="col-md-12">
                           <button type="submit" class="btn btn-red">Dodaj <span class="fa fa-plus"></span></button>
                        </div>
                     </form>
                  </div>
                  <div class="col-md-4">
                     <h4><span class="red">Nazwa bota</span> - Wyświetlana nazwa bota muzycznego.<br /><br />
                        <span class="red">Dostęp do wszystkich komend</span> - wszystkie komendy jakie ma bot 
                        będą obsługiwane w tym !bot name, !settings, !if itp.<br /><br />
                        <span class="red">Ograniczony dostep do komend</span> - dostep do komend podanych w ustawieniach.<br /><br />
                        <span class="red">ID grup</span> - Pozwolenia->Grupy Serwera po nazwie grupy serwerowej w nawiasie 
                        pokazuje się id grupy np. Właściciel (13). Można dodawać kilka po przecinku przykład: 13,6,2 .<br /><br />
                        <span class="red">UID użytkowników</span> - Unikalne id użytkownika, Pozwolenia->Lista wszystkich klientów->Wyszukaj podaną osobę->PPM na tą osobę->Kopiuj Unikalny ID do schowka. Można dodawać kilka po przecinku przykład: b3s3HArmuPXDB/XclaVgd+De3yw=,<br />0xG+tMWbvkQ4waMdq/Uctdjbv0E= .<br /><br />
                     </h4>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<?php require_once('include/footer.php');?>