<?php
session_start();
date_default_timezone_set("Europe/Warsaw");
require_once 'include/class.php';
require_once 'config.php';
$class = new Panel6bot();
$usr = [];

if (isset($_SESSION['login'])) {
	if (isset($_SESSION['function']) and $_SESSION['function'] == '*') {
		$usr_all = true;
	} elseif (isset($_SESSION['function']) and $_SESSION['function'] != '*') {
		$usr = explode(',', $_SESSION['function']);
	}

	$db = $class->getDB($config['mysql'], true);
	$settings = $db->query("SELECT * FROM `settings` LIMIT 1")->fetch(PDO::FETCH_ASSOC);
	if (isset($_POST['id'])) {
		$id = htmlspecialchars($_POST['id']);
		if (strlen($id) == 1) $id = '0' . $id;
		if (!$db->query("SELECT * FROM `bots` WHERE id = '$id'")->fetch(PDO::FETCH_ASSOC)) {
			if (!isset($id)) {
				header('Location: index.php');
				exit();
			}
		}

		if (in_array($id, $usr) or isset($usr_all)) {
		} else {
			header('Location: index.php');
			exit();
		}
	}

	header('Content-Type: application/json');
	if (isset($_POST['request'])) {
		$_POST['request'] = htmlspecialchars($_POST['request']);
		if (!isset($id)) {
			$bots = [];
			$status_in_list = 0;
			foreach($db->query("SELECT * FROM `bots`") as $b) {
				if (isset($usr_all) or in_array($b['id'], $usr)) {
					$id_in_list = $b['id'];
					if (strlen($b['id']) == 1) $id_in_list = '0' . $b['id'];
					if (!empty(shell_exec("sudo screen -list | grep AudioBot" . $id_in_list))) $status_in_list = 1;
					else $status_in_list = 0;
					$bot_in_list = array(
						$b['id'],
						$id_in_list,
						$b['nickname'],
						$status_in_list
					);
					array_push($bots, $bot_in_list);
				}
			}
		}

		if ($_POST['request'] == 'station') {
			if (isset($_POST['track']) and isset($id)) {
				$track = htmlspecialchars($_POST['track']);
				if ($db->query("UPDATE `bots` SET `link` = '$track' WHERE `bots`.`id` = $id")->execute() == true) echo json_encode(array(
					'type' => 'success',
					'message' => 'Dodano pomyślnie!'
				));
			} else echo json_encode(array(
				'type' => 'danger',
				'message' => 'Błąd polecenia!'
			));
		} elseif ($_POST['request'] == 'startall') {
			echo json_encode(array(
				'type' => 'success',
				'message' => 'Wystartowano pomyślnie wszystkie boty!'
			));
			if (isset($bots)) {
				foreach($bots as $bot) {
					if ($bot[3] == 0) {
						shell_exec('sudo screen -AdmS AudioBot' . $bot[1] . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $bot[1] . '.cfg');
					}
				}
			}
		} elseif ($_POST['request'] == 'stopall') {
			echo json_encode(array(
				'type' => 'success',
				'message' => 'Zatrzymano pomyślnie wszystkie boty!'
			));
			if (isset($bots)) {
				foreach($bots as $bot) {
					if ($bot[3] == 1) {
						shell_exec('sudo screen -S AudioBot' . $bot[1] . ' -p 0 -X stuff ^C');
					}
				}
			}
		} elseif ($_POST['request'] == 'restartall') {
			if (!isset($_SESSION['restartall'])) $_SESSION['restartall'] = 0;
			if (isset($_SESSION['restartall']) and time() >= $_SESSION['restartall']) {
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Zresetowano pomyślnie wszystkie boty!'
				));
				if (isset($bots)) {
					foreach($bots as $bot) {
						if ($bot[3] == 1) {
							shell_exec('sudo screen -S AudioBot' . $bot[1] . ' -p 0 -X stuff ^C');
							shell_exec('sudo screen -AdmS AudioBot' . $bot[1] . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $bot[1] . '.cfg');
						} else {
							shell_exec('sudo screen -AdmS AudioBot' . $bot[1] . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $bot[1] . '.cfg');
						}
					}
				}

				$_SESSION['restartall'] = time() + 30;
			} else {
				echo json_encode(array(
					'type' => 'warning',
					'message' => 'Resetować boty można co 30 sekund'
				));
			}
		} elseif ($_POST['request'] == 'startorstop') {
			if (empty(shell_exec("sudo screen -list | grep AudioBot" . $id))) {
				shell_exec('sudo screen -AdmS AudioBot' . $id . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $id . '.cfg');
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Startowanie bota muzycznego o id:' . $id
				));
			} else {
				shell_exec("sudo screen -S AudioBot" . $id . " -p 0 -X stuff ^C");
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Zatrzymano bota muzycznego o id:' . $id
				));
			}
		} elseif ($_POST['request'] == 'restart') {
			if (!isset($_SESSION['restar'][$id])) $_SESSION['restar'][$id] = 0;
			if (isset($_SESSION['restar'][$id]) and time() >= $_SESSION['restar'][$id]) {
				if (!empty(shell_exec("sudo screen -list | grep AudioBot" . $id))) {
					shell_exec('sudo screen -S AudioBot' . $id . ' -p 0 -X stuff ^C');
					shell_exec('sudo screen -AdmS AudioBot' . $id . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $id . '.cfg');
					$_SESSION['restar'][$id] = time() + 10;
				} else {
					shell_exec('sudo screen -AdmS AudioBot' . $id . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $id . '.cfg');
					$_SESSION['restar'][$id] = time() + 10;
				}

				echo json_encode(array(
					'type' => 'success',
					'message' => 'Zresetowano pomyślnie! bota o id:' . $id
				));
			} else {
				echo json_encode(array(
					'type' => 'warning',
					'message' => 'Bota można resetować co 10 seknud'
				));
			}
		} elseif ($_POST['request'] == 'trash') {
			if (!empty(shell_exec("sudo screen -list | grep AudioBot" . $id))) {
				shell_exec("sudo screen -S AudioBot" . $id . " -p 0 -X stuff ^C");
			}

			if ($db->query("DELETE FROM `bots` WHERE `bots`.`id` = '$id'")->execute() == true) {
				shell_exec('rm -r ' . $settings['folder'] . '/permissions/' . $id . '.toml');
				shell_exec('rm -r ' . $settings['folder'] . '/config/' . $id . '.cfg');
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Pomyślnie usunięto bota o id:' . $id
				));
			} else echo json_encode(array(
				'type' => 'warning',
				'message' => 'Coś poszło nie tak!'
			));
		} elseif ($_POST['request'] == 'trash_account') {
			$lid = htmlspecialchars($_POST['lid']);
			if ($db->query("DELETE FROM `account` WHERE `account`.`id` = '$lid'")->execute() == true) {
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Pomyślnie usunięto użytkownika'
				));
			} else echo json_encode(array(
				'type' => 'warning',
				'message' => 'Coś poszło nie tak!'
			));
		} elseif ($_POST['request'] == 'startq') {
			if (empty(shell_exec("sudo screen -list | grep 6BotP_Managment"))) {
				shell_exec('sudo screen -AdmS 6BotP_Managment php core.php -i start');
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Startowanie bota query'
				));
			} else {
				echo json_encode(array(
					'type' => 'warning',
					'message' => 'Bot query jest już włączony'
				));
			}
		} elseif ($_POST['request'] == 'stopq') {
			if (empty(shell_exec("sudo screen -list | grep 6BotP_Managment"))) {
				echo json_encode(array(
					'type' => 'warning',
					'message' => 'Bot query nie jest włączony'
				));
			} else {
				shell_exec("sudo screen -S 6BotP_Managment -p 0 -X stuff ^C");
				echo json_encode(array(
					'type' => 'success',
					'message' => 'Zatrzymano bota query'
				));
			}
		} elseif ($_POST['request'] == 'restartq') {
			echo json_encode(array(
				'type' => 'success',
				'message' => 'Zresetowano pomyślnie bota query!'
			));
			if (!empty(shell_exec("sudo screen -list | grep 6BotP_Managment"))) {
				shell_exec('sudo screen -S 6BotP_Managment -p 0 -X stuff ^C');
				shell_exec('sudo screen -AdmS 6BotP_Managment php core.php -i start');
			} else {
				shell_exec('sudo screen -AdmS 6BotP_Managment php core.php -i start');
			}
		} elseif ($_POST['request'] == 'killall') {
			if (!empty($settings['ssh_command'])) {
				shell_exec($settings['ssh_command']);
			} else {
				shell_exec('sudo killall screen');
			} echo json_encode(array(
				'type' => 'success',
				'message' => 'Zabito wszystkie screen!'
			));
		} else {
			header('Location: index.php');
			exit();
		}
	} else {
		header('Location: index.php');
		exit();
	}
} else {
	header('Location: index.php');
	exit();
}

