<?php
date_default_timezone_set('Europe/Warsaw');
ini_set('default_charset', 'UTF-8');
include_once 'include/ts3admin.class.php';
include_once 'include/class.php';
include_once 'config.php';
$class = new Panel6Bot();
if ($class->ip() != null) exit();
$db = $class->getDB($config['mysql'], true);
$settings = $db->query("SELECT * FROM `settings` LIMIT 1")->fetch(PDO::FETCH_ASSOC);
$cache = [];
system('clear');
$class->logo();
echo '• Starting 6Bot Panel' . PHP_EOL;
$query = new ts3admin($settings['host'], $settings['port_query']);
if ($query->getElement('success', $query->connect())) {
	echo '• Starting Managment bot' . PHP_EOL;
	echo '• Success connect to server' . PHP_EOL;
	if ($query->getElement('success', $query->login($config['ts3']['login'], $config['ts3']['password']))) {
		echo '• Success login to server' . PHP_EOL;
		$query->selectServer($settings['port_connect']);
		$query->setName('6Botp@ManagmentBot');
		$tsAdminSocket = $query->runtime['socket'];
		$core = $query->getElement('data', $query->whoAmI());
		if (!empty($settings['channel_id'])) $query->clientMove($core['client_id'], $settings['channel_id']);
		$ref = '';
		while (1) {
			$bots = $db->query("SELECT * FROM `bots`");
			$clients = $query->getElement('data', $query->clientList('-uid -away -voice -times -groups -info -country -icon -ip -badges'));
			$save['bot_status'] = [];
			$save['client'] = [];
			$arr = [];
			foreach($bots as $bot) {
				if (!empty($bot['dbid'])) {
					foreach($clients as $client) {
						if ($bot['dbid'] == $client['client_database_id']) {
							$cI = $query->getElement('data', $query->clientInfo($client['clid']));
							array_push($save['client'], $bot['dbid']);
							array_push($save['bot_status'], array(
								$bot['id'],
								$cI['connection_connected_time'],
								$cI['client_is_channel_commander'],
								$client['client_flag_talking']
							));
							if ($client['client_idle_time'] > 2000 and !isset($cache[$bot['dbid']])) {
								if (!empty($bot['link'])) {
									if (substr_count($bot['link'], 'youtube') and substr_count($bot['link'], 'list=')) {
										$query->sendMessage(1, $client['clid'], '!list get ' . $bot['link']);
										sleep(1);
										$query->sendMessage(1, $client['clid'], '!list play');
									} else {
										$query->sendMessage(1, $client['clid'], '!' . $settings['command_play'] . ' ' . $bot['link']);
									}
								}
								if (!empty($bot['looping'])) $query->sendMessage(1, $client['clid'], '!' . $settings['command_loop']);
								$cache[$bot['dbid']] = $bot['dbid'];
							}
							if ($bot['commander']) {
								if ($client['client_is_channel_commander'] == 0) {
									$query->sendMessage(1, $client['clid'], '!' . $settings['command_commander'] . ' on');
								}
							}
							else {
								if ($client['client_is_channel_commander'] == 1) {
									$query->sendMessage(1, $client['clid'], '!' . $settings['command_commander'] . ' off');
								}
							}
							if ($bot['auto_restart'] > 0) {
								if ($cI['connection_connected_time'] > $bot['auto_restart'] * 60000) {
									if (strlen($bot['id']) == 1) $bot['id'] = '0' . $bot['id'];
									if (!empty(shell_exec("sudo screen -list | grep AudioBot" . $bot['id']))) {
										shell_exec('sudo screen -S AudioBot' . $bot['id'] . ' -p 0 -X stuff ^C');
										sleep(4);
										shell_exec('sudo screen -AdmS AudioBot' . $bot['id'] . ' mono ' . $settings['folder'] . '/TS3AudioBot.exe -c ' . $settings['folder'] . '/config/' . $bot['id'] . '.cfg');
									}
								}
							}
							if (!empty($bot['autoremove']) and strtotime($bot['autoremove']) <= strtotime(date('d.m.Y'))) {
								$id = $bot['id'];
								if (strlen($id) == 1) $id = '0' . $id;
								if (!empty(shell_exec("sudo screen -list | grep AudioBot" . $id))) {
									shell_exec("sudo screen -S AudioBot" . $id . " -p 0 -X stuff ^C");
								}
								if ($db->query("DELETE FROM `bots` WHERE `bots`.`id` = '" . $bot['id'] . "'")->execute() == true) {
									shell_exec('rm -r ' . $settings['folder'] . '/permissions/' . $id . '.toml');
									shell_exec('rm -r ' . $settings['folder'] . '/config/' . $id . '.cfg');
								}
							}
						}
					}
				}
			}
			if (isset($ref) and time() >= $ref) {
				foreach($db->query("SELECT * FROM `bots`") as $bot) {
					$status_in_list = 0;
					$id = $bot['id'];
					if (strlen($id) == 1) $id = '0' . $id;
					if (!empty(shell_exec("sudo screen -list | grep AudioBot" . $id))) $status_in_list = 1;
					else $status_in_list = 0;
					$connected_time = 0;
					$commander = 0;
					$talking = 0;
					foreach($save['bot_status'] as $item) {
						if ($item[0] == $bot['id']) {
							$connected_time = $item[1];
							$commander = $item[2];
							$talking = $item[3];
						}
					}
					array_push($arr, array(
						$bot['id'],
						$status_in_list,
						$connected_time,
						$commander,
						$talking
					));
				}
				if (isset($arr)) {
					@file_put_contents('cache/onlineBots', json_encode($arr));
					$ref = time() + 10;
				}
			}
			foreach($cache as $ce) { // Clear cache
				if (!in_array($ce, $save['client'])) {
					unset($cache[$ce]);
				}
			}
			sleep(1);
		}
	} else {
		echo '• Error login to server' . PHP_EOL;
	}
} else {
	echo '• Error connect to server' . PHP_EOL;
}
?>