<?php
	class Panel6Bot
	{
		public function getDB($cfg, $error = false) {
			$db_connect = '';
			try {
				$db_connect = new PDO('mysql:host='.$cfg['host'].';dbname='.$cfg['name'], $cfg['user'], $cfg['password']);
				$db_connect->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				$db_connect->exec('SET NAMES utf8');
			} catch (PDOException $ex) {
				if ($error) $_SESSION['error_page'] = 'Błąd łączenia z bazą kod: '.$ex->getCode();
				$_SESSION['db_connect_error'] = true;
			}
			return $db_connect;
		}
		public function logo() {
			echo "\n\e[0;32m
 .d8888b.  888888b.            888             
d88P  Y88b 888  '88b           888             
888        888  .88P           888             
888d888b.  8888888K.   .d88b.  888888 88888b.  
888P 'Y88b 888  'Y88b d88''88b 888    888 '88b 
888    888 888    888 888  888 888    888  888 
Y88b  d88P 888   d88P Y88..88P Y88b.  888 d88P 
 'Y8888P'  8888888P'   'Y88P'   'Y888 88888P'  
                                      888      
                                      888      
                                      888      \e[0m\n";
		}
		public function memory() {
			$mem = array();
			foreach (explode("\n", file_get_contents("/proc/meminfo")) as $item) {
				if (!empty($item))
					list($command, $value) = explode(":", $item);
					$mem[$command] = preg_replace('/[^0-9]/', '', trim($value));
			}
			$free = $mem['MemFree'] + $mem['Buffers'] + $mem['Cached'];
			$memmory = round($free / $mem['MemTotal'] *100);
			return (100 - $memmory);
		}

		public function cpu() {
			$cpu = sys_getloadavg();
			return $cpu[0];
		}
		public function chceck_version() {
			$get = json_decode(file_get_contents('https://api.xman8830.ovh/service.json?key=yRndungQl5r25eC2XoXjFPPYV'), true);
			if (isset($get['version']) and !isset($get['error'])) {
				if ($get['alert'] == 'true') $_SESSION[$get['type']] = $get['name'];
				$_SESSION['version'] = $get['version'];
			} else {
				 $_SESSION['error'] = 'Błąd rozpoznania wersji!';
			}
			unset($_SESSION['check']);
		}
		public function ip() { 
			$return = getenv('HTTP_CLIENT_IP')?:
			 getenv('HTTP_X_FORWARDED_FOR')?:
			 getenv('HTTP_X_FORWARDED')?:
			 getenv('HTTP_FORWARDED_FOR')?:
			 getenv('HTTP_FORWARDED')?:
			 getenv('REMOTE_ADDR');
			return $return; 
		}
	}
?>