<?php 
	session_start();
	require_once 'include/class.php';
	require_once 'config.php';
	$class = new Panel6bot();
	$db = $class->getDB($config['mysql'], true);
	$loggin_page = true;
	if (isset($_SESSION['login'])) {
		header('Location: index.php');
	} else {
		if (isset($_POST['login']) and isset($_POST['password'])) {
			$login = htmlspecialchars($_POST['login']);
			$password = htmlspecialchars($_POST['password']);
			if ($config['recaptcha']['status'] == true) $reply = json_decode(file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$config['recaptcha']['scret_key'].'&response='.$_POST['g-recaptcha-response']));	
			else $reply=[];

			if (!isset($_SESSION['db_connect_error'])) {
				if ($reply->success==true or $config['recaptcha']['status'] != true)  {
					if ($client = $db->query("SELECT * FROM `account` WHERE `login` = '".$login."'")->fetch(PDO::FETCH_ASSOC)) {
						if (password_verify($password, $client['password'])){
							$_SESSION['function'] = $client['function'];
							$_SESSION['login'] = $login;
							$_SESSION['check'] = true;
							header('Location: index.php');
						} else $_SESSION['error_page'] = 'Hasło lub login jest niepoprawny!';
					} else $_SESSION['error_page'] = 'Hasło lub login jest niepoprawny!';
				} else $_SESSION['error_page'] = 'Potwierdź że nie jesteś botem!';
			}
		}
	}
	require_once('include/header.php');
?>
<body class="login">
   <div class="login_wrapper">
      <div class="animate form login_form">
         <section class="login_content">
            <?php 
               if (isset($_SESSION['error_page'])) {
               	echo '<div class="alert alert-danger alert-dismissible fade in" style="text-shadow: none" role="alert">'.$_SESSION['error_page'].'</div>';
               	unset($_SESSION['error_page']);
               }
               ?>
            <form method="post">
               <h1 class="title_login">Panel logowania</h1>
               <div class="form-group">
                  <input type="text" class="form-control darklog" name="login" placeholder="Login" required="" />
               </div>
               <div class="form-group">
                  <input type="password" class="form-control darklog" name="password" placeholder="Hasło" required="" />
               </div>
			   <?php 
			   if ($config['recaptcha']['status'] == true) {
			   echo'
			   <div class="form-group" style="display: block; text-align: -webkit-center;">
					<div class="g-recaptcha" data-theme="dark" data-sitekey="'.$config['recaptcha']['site_key'].'"></div>
				</div>
			   '; }?>
               <button type="submit" class="btn btn-block btn-red">Zaloguj się</button>
               <div class="clearfix"></div>
               <div class="separator">
                  <div class="clearfix"></div>
                  <br />
                  <div>
                     <img src="assets/img/logo.svg" width="50%" />
                  </div>
               </div>
            </form>
         </section>
      </div>
   </div>
</body>
</html><script src='https://www.google.com/recaptcha/api.js'></script>