<?php 
ini_set( 'display_errors', 'On' ); 
error_reporting( E_ALL );
	session_start();
	require_once 'include/class.php';
	require_once 'config.php';
	$class = new Panel6Bot();
	if (isset($_SESSION['function']) and $_SESSION['function'] != '*') header('Location: index.php'); 
	$db = $class->getDB($config['mysql'], true);
	$settings = $db->query("SELECT * FROM `settings` LIMIT 1")->fetch(PDO::FETCH_ASSOC);
	if (isset($_POST['login']) and isset($_POST['password']) and isset($_POST['password2']) and isset($_POST['function'])) {
		$login = htmlspecialchars($_POST['login']);
		$function = htmlspecialchars($_POST['function']);
		$password = htmlspecialchars($_POST['password']);
		$password2 = htmlspecialchars($_POST['password2']);
		if ($password == $password2) {
			$password = password_hash($password, PASSWORD_DEFAULT);
			if (!$db->query("SELECT * FROM `account` WHERE login = '$login'")->fetch(PDO::FETCH_ASSOC)) {
				if ($db->prepare("INSERT INTO `account` (`login`, `password`, `function`) VALUES ('$login', '$password', '$function')")->execute()==true) {
					$_SESSION['success'] = 'Dodano pomyślnie!';
					header('Refresh: 0');
				} else {
					$_SESSION['error'] = 'Błąd dodawania do bazy!';
				}
			} else {
				$_SESSION['error'] = 'Taki login już istnieje!';
			}
		} else {
			$_SESSION['error'] = 'Hasła nie są takie same!';
		}
	}
	if (isset($_POST['edit_id']) and isset($_POST['edit_password']) and isset($_POST['edit_password2'])) {
		$edit_id = htmlspecialchars($_POST['edit_id']);
		$edit_password = htmlspecialchars($_POST['edit_password']);
		$edit_password2 = htmlspecialchars($_POST['edit_password2']);
		if ($edit_password2 == $edit_password) {
			if ($db->query("SELECT * FROM `account` WHERE id = '$edit_id'")->fetch(PDO::FETCH_ASSOC)) {
				$edit_password = password_hash($edit_password, PASSWORD_DEFAULT);
				if ($db->query("UPDATE `account` SET `password` = '$edit_password' WHERE `account`.`id` = '$edit_id'")->execute() == true) {
					$_SESSION['success'] = 'Zmieniono pomyślnie!';
				} else {
					$_SESSION['error'] = 'Coś poszło nie tak!';
				}
			}
		} else {
			$_SESSION['error'] = 'Hasła nie są takie same!';
		}
	}
	if (isset($_POST['edit_id']) and isset($_POST['edit_function'])) {
		$edit_id = htmlspecialchars($_POST['edit_id']);
		$edit_function = htmlspecialchars($_POST['edit_function']);
			if ($db->query("SELECT * FROM `account` WHERE id = '$edit_id'")->fetch(PDO::FETCH_ASSOC)) {
				if ($db->query("UPDATE `account` SET `function` = '$edit_function' WHERE `account`.`id` = '$edit_id'")->execute() == true) {
					$_SESSION['success'] = 'Zmieniono pomyślnie!';
				} else {
					$_SESSION['error'] = 'Coś poszło nie tak!';
				}
			}		
	}
	require_once('include/header.php');
	require_once('include/nav.php');
?>
<div class="right_col" role="main">
   <div class="">
      <div class="page-title">
         <div class="title_left">
            <h3>Użytkownicy</h3>
         </div>
      </div>
      <div class="clearfix"></div>
      <div class="row">
         <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
               <div class="x_title">
                  <h2>Lista użytkowników</h2>
                  <div class="clearfix"></div>
               </div>
               <div class="x_content">
                  <div class="col-md-10">
                     <button class="btn-red" data-toggle="modal" data-target="#add">Dodaj użytkownika <span class="fa fa-plus"></span></button>
                     <table class="table" id="load">
                     <thead>
                        <tr>
                           <th scope="col" >#</th>
                           <th scope="col" >Login</th>
                           <th scope="col" >Dostęp</th>
                           <th scope="col" >Akcje</th>
                        </tr>
                     </thead>
                     <tbody>
                        <?php 
                           $i=0;
                           foreach($db->query("SELECT * FROM `account`") as $item) {
                           		$i++;
                           		echo '<tr>
                           		  <th scope="row">'.$i.'</th>
                           		  <td>'.$item['login'].'</td>
                           		  <td>'.$item['function'].'</td>
                           		  <td>
                           			<button type="button"  data-toggle="modal" data-target="#edit_'.$item['id'].'" class="btn-dark-sm"><span class="fa fa-pencil"></span></button>
                           			<button type="button" id="trash_account" data-id="'.$item['id'].'" class="btn-red-sm"><span class="fa fa-trash"></span></button>
                           		  </td>
                           		</tr>';
                           }
                           echo '</tbody></table>';
                           if ($i == 0) echo '<tr><h3 class="text-center">Brak botów w bazie!</h3></tr>';
                           ?>		
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
</div>
</div>
<div class="modal fade" id="add" tabindex="-1" role="dialog" aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-body">
            <h3>Dodawanie użytkownika</h3>
            <form method="post">
               <div class="form-group">
                  Login:
                  <input type="text" class="form-control" name="login" placeholder="Login" required />
               </div>
               <div class="form-group">
                  Hasło:
                  <input type="password" class="form-control" name="password" placeholder="Hasło" required />
               </div>
               <div class="form-group">
                  Powtórz hasło:
                  <input type="password" class="form-control" name="password2" placeholder="Powtórz hasło" required />
               </div>
			   <div class="form-group">
                  Dostęp do panelu (* - Cały dostęp 1,5,2 - Tylko do podanego id bota):
                  <input type="text" class="form-control" name="function" placeholder="Dostęp do bota" required />
               </div>
			   
               <div class="modal-footer">
                  <button type="button" class="btn-dark-s" data-dismiss="modal">Zamknij</button>
                  <button type="submit" class="btn-red">Dodaj <span class="fa fa-plus"></span></button>
               </div>
            </form>
         </div>
      </div>
   </div>
</div>
<?php foreach ($db->query("SELECT * FROM `account`") as $item) {
   echo '<div class="modal fade" id="edit_'.$item['id'].'" tabindex="-1" role="dialog" aria-hidden="true">
     <div class="modal-dialog">
       <div class="modal-content">
         <div class="modal-body">
          <h3>Edytowanie użytkownika</h3>
   	   <form method="post">
   			<input type="hidden" name="edit_id" value="'.$item['id'].'" />
   			<div class="form-group">
                    Hasło:
                    <input type="password" class="form-control" name="edit_password" placeholder="Hasło" required />
               </div>
   			<div class="form-group">
                   Powtórz hasło:
                    <input type="password" class="form-control" name="edit_password2" placeholder="Powtórz hasło" required />
               </div>
   			<button type="submit" class="btn-red">Zmień hasło <span class="fa fa-pencil"></span></button>
   	   </form>
  	   <form method="post">
   			<input type="hidden" name="edit_id" value="'.$item['id'].'" />
			   <div class="form-group">
                  Dostęp do panelu (* - Cały dostęp 1,5,2 - Tylko do podanego id bota):
                  <input type="text" class="form-control" value="'.$item['function'].'" name="edit_function" placeholder="Dostęp do bota" required />
               </div>
   			<button type="submit" class="btn-red">Zmień dostęp <span class="fa fa-pencil"></span></button>
   	   </form>
   		  <div class="modal-footer">
   			<button type="button" class="btn-dark-s" data-dismiss="modal">Zamknij</button>
   		  </div>
   	 </div>
       </div>
     </div>
   </div>';
    } require_once('include/footer.php');?>