<?php 
   session_start();
   require_once 'include/class.php';
   require_once 'config.php';
   $class = new Panel6Bot();
   $db = $class->getDB($config['mysql'], true);
   $settings = $db->query("SELECT * FROM `settings` LIMIT 1")->fetch(PDO::FETCH_ASSOC);
   require_once('include/header.php');
   require_once('include/nav.php');
   ?>
<div class="right_col" role="main">
   <div class="">
      <div class="page-title">
         <div class="title_left">
            <h3>O aplikacji</h3>
         </div>
      </div>
      <div class="clearfix"></div>
      <div class="row">
         <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="card">
               <ul class="nav nav-tabs" role="tablist">
                  <li role="presentation" class="active"><a href="#commands" aria-controls="commands" role="tab" data-toggle="tab">Lista komend</a></li>
                  <li role="presentation"><a href="#permission" aria-controls="profile" role="tab" data-toggle="tab">Permisje do bota</a></li>
                  <li role="presentation"><a href="#changelog" aria-controls="changelog" role="tab" data-toggle="tab">Lista zmian</a></li>
               </ul>
               <div class="tab-content">
                  <div role="tabpanel" class="tab-pane active" id="commands">
                     <!--p><b>!help</b> - Spis komend.</p>
                     <p><b>!bot name [nazwa] / !name [nazwa]</b> - Ustawienie nazyw bota.</p>
                     <p><b>!bot commander [on/off] / !commander [on/off]</b> - Ustawienie dowodzącego kanałem.</p-->
                     <h3>Zapraszam do napisania!</h3>
                  </div>
                  <div role="tabpanel" class="tab-pane" id="permission">
                     1. <b>i_client_whisper_power</b> 999999999<br />
                     2. <b>i_client_private_textmessage_power</b> 999999999<br />
                     3. <b>i_channel_subscribe_power</b> 999999999<br />
                     4. <b>i_client_talk_power</b> 999999999<br />
                     5. <b>i_client_kick_from_channel_power</b> 999999999<br />
                     6. <b>i_client_kick_from_server_power</b> 999999999<br />
                     7. <b>i_client_max_clones_uid</b> -1<br />
                     8. <b>i_channel_join_power</b> 999999999<br />
                     9. <b>i_client_max_avatar_filesize</b> 999999999<br />
                     10. <b>b_client_server_textmessage_send</b><br />
                     11. <b>b_client_modify_dbproperties</b><br />
                     12. <b>b_client_modify_description</b><br />
                     13. <b>b_client_info_view</b><br />
                     14. <b>b_virtualserver_client_list</b><br />
                     15. <b>b_virtualserver_client_dbinfo</b><br />
                     16. <b>b_client_modify_own_description</b><br />
                     17. <b>b_client_ignore_antiflood</b><br />
                     18. <b>b_channel_join_ignore_password</b><br />
                     19. <b>b_channel_join_permanent</b><br />
                     20. <b>b_channel_join_semi_permanent</b><br />
                     21. <b>b_channel_join_temporary</b><br />
                     22. <b>b_channel_join_ignore_maxclients</b><br />
                     23. <b>b_client_permissionoverview_view</b><br />
                     24. <b>b_client_use_channel_commander</b>
                  </div>
                  <div role="tabpanel" class="tab-pane" id="changelog">
                     <?php 
                        foreach(json_decode(file_get_contents('https://api.xman8830.ovh/service.json?versions&version='.$_SESSION['version']), true) as $item) {
                        	echo '<h4>'.$item['version'].'</h4><br />';
                        	foreach (explode(',', $item['description']) as $desc) echo '- '.$desc.'<br />';
                        }
                        ?>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<?php require_once('include/footer.php');?>