<?php 
	session_start();
	require_once 'include/class.php';
	require_once 'config.php';
	$class = new Panel6Bot();
	$db = $class->getDB($config['mysql'], true);
	if (isset($_SESSION['check'])) $class->chceck_version();
	require_once('include/header.php');
	require_once('include/nav.php');
	$online_bots = 0;
	$bots_all = 0;
	if (isset($bots)) {
		foreach($bots as $online) {
			if ($online[3] == 1) $online_bots++;
			$bots_all++;
		}
	}
?>
<div class="right_col" role="main">
   <div class="">
      <div class="page-title">
         <div class="title_left">
            <h3>Strona główna</h3>
         </div>
      </div>
      <div class="clearfix"></div>
      <div class="animated fadeIn col-lg-3 col-md-3 col-sm-6 col-xs-12">
         <div class="tile-stats">
            <div class="icon"><i class="fa fa-android" style="font-weight: bold;"></i></div>
            <div class="count"><?php echo $bots_all;?></div>
            <h3>Botów muzycznych</h3>
         </div>
      </div>
   </div>
   <div class="animated flipIn col-lg-3 col-md-3 col-sm-6 col-xs-12">
      <div class="tile-stats">
         <div class="icon"><i class="fa fa-android" style="font-weight: bold;"></i></div>
         <div class="count" ><span id ="online"><?php echo $online_bots;?></span></div>
         <h3>Botów online</h3>
      </div>
   </div>
   <div class="animated flipIn col-lg-3 col-md-3 col-sm-6 col-xs-12">
      <div class="tile-stats">
         <div class="icon"><i class="fa fa-pie-chart" style="font-weight: bold;"></i></div>
         <div class="count" ><span id="memory"><?php echo $class->memory();?>%</span></div>
         <h3>Użycie ramu</h3>
      </div>
   </div>
   <div class="animated flipIn col-lg-3 col-md-3 col-sm-6 col-xs-12">
      <div class="tile-stats">
         <div class="icon"><i class="fa fa-microchip" style="font-weight: bold;"></i></div>
         <div class="count" ><span id="cpu"><?php echo $class->cpu();?>%</span></div>
         <h3>Użycie procesora</h3>
      </div>
   </div>
   <div class="x_panel">
      <div id="query"><?php if ($query_status == false) echo'<div class="alert alert-danger alert-dismissible fade in" role="alert"><strong>Uwaga!</strong> Bot query jest wyłączony, możliwości są ograniczone (status botów online <u><b>nie</b></u> jest aktualizowany).</div>'; ?></div>
      <div class="x_title">
         <h2>Lista botów muzycznych</h2>
         <div class="clearfix"></div>
      </div>
      <div class="x_content">
         <div class="col-md-10" id="bots">
            <table class="table">
            <thead>
               <tr>
                  <th scope="col" width="10">ID</th>
                  <?php if ($query_status == true) echo'<th scope="col">Status</th>';?>
                  <?php if ($query_status == true) echo'<th scope="col">Dostępny od</th>';?>
                  <th scope="col" >Nazwa</th>
                  <th scope="col" >Akcja</th>
               </tr>
            </thead>
            <tbody>
               <?php 
			   
                  $i=0;
				  if (isset($bots)) {
					  foreach($bots as $item) {
							$i++;
							echo '<tr><th scope="row">'.$item[0].'</th>';
							 if ($query_status == true) {echo '<td><span class=" ';									  
								if ($item[3] == 1) {
									if ($item[6] == 1) echo 'commander';
									else echo 'online';
									if ($item[7] != 1) echo ' noPlay';
								} else {
								  echo 'offline';
								}  
							  echo '"></span></td><td>'; }
							  if ($item[5] != 0) {echo ' '.$item[5].'';}
							  echo '</td><td>'.$item[2].'</td>
							  <td>';
								echo '<button type="button" id="startorstop" data-id="'.$item[1].'" class="btn-red-sm"><span class="fa fa-power-off"></span></button>';
								echo '<button type="button" id="restart" data-id="'.$item[1].'" class="btn-red-sm"><span class="fa fa-refresh"></span></button>';
								echo '<a href="edit.php?id='.$item[1].'" class="btn-red-sm href"><span class="fa fa-wrench"></span></a>';
								if ($query_status) echo '<a href="management.php?id='.$item[1].'" class="btn-red-sm href"><span class="fa fa-cogs"></span></a>';
								if (isset($_SESSION['function']) and $_SESSION['function'] == '*') echo '<button type="button" id="trash" data-id="'.$item[1].'" class="btn-red-sm"><span class="fa fa-trash"></span></button>';
							  echo '</td>
							</tr>';
					  }
					  echo '</tbody></table>';
					  if ($i == 0) echo '<tr><h3 class="text-center">Brak botów w bazie!</h3></tr>';
				  }
                  ?>		
         </div>
      </div>
   </div>
</div>
</div>
</div>
<?php require_once('include/footer.php');?>